﻿@model  EnergyMission.Domain.Entities.ImporterEntity

@{

    string actionName = (string)ViewData["ActionName"];
    EnergyMission.Web.Common.Common cs = new EnergyMission.Web.Common.Common();
}


@section Scripts{
    <script>

        $(document).ready(function () {

            var value = "@ViewBag.msg";

            if (value == "") {
            
              
                $("#errorssms").hide();

            }
            else {               
                $("#errorssms").show();

            }
        });


        $(document).ready(function () {          
           
            $("#SiteId").prop("disabled", true);
            $("#StructureId").prop("disabled", true);
            $("#StructureDivisionId").prop("disabled", true);
            $("#StructureDivisionSensorId").prop("disabled", true);


        });

        $(document).ready(function () {

            $("#LocationId").change(function () {
                 $("#errorssms").hide();
                $("#SiteId").prop("disabled", false);
                $("#StructureId").prop("disabled", true);
                $("#StructureDivisionId").prop("disabled", true);
                $("#StructureDivisionSensorId").prop("disabled", true);

                var selectedT = $(this).find("option:selected").val();              
                $.getJSON("/Importer/OnchangeOfLocationchangesiteEntry", { deptId: selectedT },
                   function (Result) {
                       value = JSON.stringify(Result);         
                       var ddlState = $("#SiteId");
                       ddlState.html('');
                       ddlState.append($('<option></option>').val('').html("Select Site"));                    
                       $.each(Result, function (id, option) {
                           //alert("inside foreach");
                           ddlState.append($('<option></option>').val(option.Id).html(option.Name));
                       }
                     );
                   });


            });
        });
        $(document).ready(function () {

            $("#SiteId").change(function () {
                $("#StructureId").prop("disabled", false);
                $("#StructureDivisionId").prop("disabled", true);
                $("#StructureDivisionSensorId").prop("disabled", true);

                var selectedT = $(this).find("option:selected").val();


                $.getJSON("/Importer/OnChangeOfSiteChangeStructureEntry", { SDDdeptId: selectedT },
                   function (Result) {

                       value = JSON.stringify(Result);
                       // alert(value);
                       var ddlState = $("#StructureId");
                       ddlState.html('');
                       //var mySelect = $('#SiteId');

                       ddlState.append($('<option></option>').val('').html("Select Structure"));
                       //alert(JSON.stringify(Result.result[0]));
                       $.each(Result, function (id, option) {
                           //alert("inside foreach");

                           ddlState.append($('<option></option>').val(option.Id).html(option.Name));
                       }
                     );
                   });


            });
        });
        $(document).ready(function () {

            $("#StructureId").change(function () {
                $("#StructureDivisionId").prop("disabled", false);
                $("#StructureDivisionSensorId").prop("disabled", true);

                var selectedT = $(this).find("option:selected").val();


                $.getJSON("/Importer/OnChangeOfStructureChangeStructureDivisionEntry", { RDDdeptId: selectedT },
                   function (Result) {

                       value = JSON.stringify(Result);
                       // alert(value);
                       var ddlState = $("#StructureDivisionId");
                       ddlState.html('');
                       //var mySelect = $('#SiteId');

                       ddlState.append($('<option></option>').val('').html("Select Structure Division"));
                       //alert(JSON.stringify(Result.result[0]));
                       $.each(Result, function (id, option) {
                           //alert("inside foreach");

                           ddlState.append($('<option></option>').val(option.Id).html(option.Name));
                       }
                     );
                   });


            });
        });
        $(document).ready(function () {

            $("#StructureDivisionId").change(function () {

                $("#StructureDivisionSensorId").prop("disabled", false);
                var selectedT = $(this).find("option:selected").val();


                $.getJSON("/Importer/KKKKK", { StructureDivisonRRR: selectedT },
                   function (Result) {

                       value = JSON.stringify(Result);
                       // alert(value);
                       var ddlState = $("#StructureDivisionSensorId");
                       ddlState.html('');
                       //var mySelect = $('#SiteId');

                       ddlState.append($('<option></option>').val('').html("Select Structure Sensor Division"));
                       //alert(JSON.stringify(Result.result[0]));
                       $.each(Result, function (id, option) {
                           //alert("inside foreach");

                           ddlState.append($('<option></option>').val(option.Value).html(option.Text));
                       }
                     );
                   });


            });
        });

    </script>
}

<link href="~/Content/CustomScreen3.css" rel="stylesheet" />



@using (Html.BeginForm("Save", "Importer", FormMethod.Post, new { enctype = "multipart/form-data" }))
{

    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.ID)
    <div class="second-menu">
        <h3>Importer</h3>

    </div>
    <div class="examples">
        <div id="testDivNested">
            <div class="gray_bg">
                <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>
                <div class="white_inner">
                    <div class="row-resource-price">
                        <div class="left">
                            <label class="name">Location*</label>@Html.ValidationMessageFor(model => model.LocationId)<br />
                            @Html.DropDownListFor(model => model.LocationId, cs.LocationList, "Select Location", new { @class = "my-dropdown" })<br />
                            @*<div class="error-msg">
                                @Html.ValidationMessageFor(m => m.LocationId, "", new { @class = "error-message eql_height" })
                            </div>*@
                        </div>
                        <div class="right">
                            <label class="name">Site*</label>@Html.ValidationMessageFor(model => model.SiteId)<br />
                            @Html.DropDownListFor(model => model.SiteId, cs.SiteList, "Select Site", new { @class = "my-dropdown" })<br />
                            @*<div class="error-msg">
                                @Html.ValidationMessageFor(m => m.SiteId, "", new { @class = "error-message eql_height" })
                            </div>*@
                        </div>
                    </div>
                    <div class="row-resource-price">
                        <div class="left">
                            <label class="name">Structure*</label>@Html.ValidationMessageFor(model => model.StructureId)<br />
                            @Html.DropDownListFor(model => model.StructureId, cs.StructureList, "Select Structure", new { @class = "my-dropdown" })<br />
                            @*<div class="error-msg">
                                @Html.ValidationMessageFor(m => m.StructureId, "", new { @class = "error-message eql_height" })
                            </div>*@
                        </div>
                        <div class="right">
                            <label class="name">Structure Division*</label>@Html.ValidationMessageFor(model => model.StructureDivisionId)<br />
                            @Html.DropDownListFor(model => model.StructureDivisionId, cs.StructureDivisionList, "Select Structure Division", new { @class = "my-dropdown" })<br />
                            @*<div class="error-msg">
                                @Html.ValidationMessageFor(m => m.StructureId, "", new { @class = "error-message eql_height" })
                            </div>*@
                        </div>
                    </div>
                    <div class="row-resource-price">
                        <div class="left">
                            <label class="name">Structure Division Sensor*</label>@Html.ValidationMessageFor(model => model.StructureDivisionSensorId)<br />
                            @Html.DropDownListFor(model => model.StructureDivisionSensorId, cs.StructureDivisionSensor, "Select Structure Division Sensor ", new { @class = "my-dropdown" })<br />
                            @*<div class="error-msg">
                                @Html.ValidationMessageFor(m => m.SiteId, "", new { @class = "error-message eql_height" })
                            </div>*@
                        </div>
                        <div class="right">
                            <label class="name">Please Choose file*</label><br />
                            <input type="file" name="file" /><br /><br />
                        </div>
                        </div>
                    </div>
                <div class="SetResourcePrice">
                    <div class="bottom delete">
                        <div class="fullWidth">
                            <input class="save button" name="button" type="submit" value="Save" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

}
